Bug 1457405 - Review Request: R-R6 - Classes with Reference Semantics
Summary: Review Request: R-R6 - Classes with Reference Semantics
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-31 16:10 UTC by Tom "spot" Callaway
Modified: 2017-06-21 12:19 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-21 12:19:29 UTC
jamatos: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2017-05-31 16:10:36 UTC
Spec URL: https://spot.fedorapeople.org/R-R6.spec
SRPM URL: https://spot.fedorapeople.org/R-R6-2.2.1-1.fc26.src.rpm
Description: 
The R6 package allows the creation of classes with reference semantics, 
similar to R's built-in reference classes. Compared to reference classes, 
R6 classes are simpler and lighter-weight, and they are not built on S4 
classes so they do not require the methods package. These classes allow 
public and private members, and they support inheritance, even when the 
classes are defined in different packages.
Fedora Account System Username: spot

Comment 1 José Matos 2017-06-02 12:16:17 UTC
This package is approved.

Just like in #1457404 fedora-review complains about LICENSE but that is bogus.

On the other hand the complain about DESCRIPTION as %doc seems reasonable, no?

Because R needs the DESCRIPTION file to be present and the package will not work if the documentation is not installed. Unless this has changed recently I suggest to leave it out of %doc.

Comment 2 Gwyn Ciesla 2017-06-02 15:08:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/R-R6

Comment 3 Fedora Update System 2017-06-08 20:40:57 UTC
R-3.4.0-2.fc25 R-RCurl-1.95.4.8-1.fc25 R-Rcompression-0.93.2-15.fc25 R-XML-3.98.1.7-1.fc25 R-bitops-1.0.6-5.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 4 Fedora Update System 2017-06-08 20:42:12 UTC
R-3.4.0-2.fc25 R-RCurl-1.95.4.8-1.fc25 R-Rcompression-0.93.2-15.fc25 R-XML-3.98.1.7-1.fc25 R-bitops-1.0.6-5.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 5 Fedora Update System 2017-06-09 13:38:34 UTC
R-3.4.0-2.fc25, R-RCurl-1.95.4.8-1.fc25, R-Rcompression-0.93.2-15.fc25, R-XML-3.98.1.7-1.fc25, R-bitops-1.0.6-5.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 6 Fedora Update System 2017-06-09 16:19:35 UTC
R-3.4.0-2.fc25 R-BH-1.62.0.1-2.fc25 R-Biobase-2.36.2-1.fc25 R-BiocGenerics-0.22.0-1.fc25 R-BiocParallel-1.10.1-1.fc25 R-Biostrings-2.44.0-1.fc25 R-BufferedMatrix-1.40.0-1.fc25 R-BufferedMatrixMethods-1.40.0-1.fc25 R-DBI-0.6.1-1.fc25 R-DelayedArray-0.2.7-1.fc25 R-GenomeInfoDb-1.12.1-1.fc25 R-GenomeInfoDbData-0.99.0-1.fc25 R-GenomicAlignments-1.12.1-1.fc25 R-GenomicRanges-1.28.3-1.fc25 R-IRanges-2.10.1-1.fc25 R-R6-2.2.1-1.fc25 R-RCurl-1.95.4.8-1.fc25 R-RInside-0.2.14-2.fc25 R-RODBC-1.3.15-1.fc25 R-RSQLite-1.1.2-2.fc25 R-Rcompression-0.93.2-15.fc25 R-Rsamtools-1.28.0-1.fc25 R-Rsolid-0.9.31-20.fc25 R-S4Vectors-0.14.3-1.fc25 R-SummarizedExperiment-1.6.3-1.fc25 R-XML-3.98.1.7-1.fc25 R-XVector-0.16.0-1.fc25 R-acepack-1.4.1-2.fc25 R-affy-1.54.0-1.fc25 R-affyio-1.46.0-1.fc25 R-biglm-0.9.1-8.fc25 R-bitops-1.0.6-5.fc25 R-caTools-1.17.1-4.fc25 R-digest-0.6.12-1.fc25 R-expm-0.999.2-1.fc25 R-futile.logger-1.4.3-1.fc25 R-futile.options-1.0.0-1.fc25 R-highlight-0.4.7.1-2.fc25 R-lambda.r-1.1.9-1.fc25 R-littler-0.3.2-2.fc25 R-lmtest-0.9.35-1.fc25 R-maanova-1.46.1-1.fc25 R-magrittr-1.5-1.fc25 R-matrixStats-0.52.2-1.fc25 R-msm-1.6.4-1.fc25 R-multtest-2.32.0-1.fc25 R-mvtnorm-1.0.6-1.fc25 R-plogr-0.1.1-1.fc25 R-preprocessCore-1.38.1-1.fc25 R-qtl-1.40.8-3.fc25 R-rlecuyer-0.3.4-1.fc25 R-rtracklayer-1.36.3-1.fc25 R-snow-0.4.2-1.fc25 R-testthat-1.0.2-1.fc25 R-waveslim-1.7.5-4.fc25 R-wavethresh-4.6.8-1.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 7 Fedora Update System 2017-06-10 12:33:53 UTC
R-3.4.0-2.fc25, R-BH-1.62.0.1-2.fc25, R-Biobase-2.36.2-1.fc25, R-BiocGenerics-0.22.0-1.fc25, R-BiocParallel-1.10.1-1.fc25, R-Biostrings-2.44.0-1.fc25, R-BufferedMatrix-1.40.0-1.fc25, R-BufferedMatrixMethods-1.40.0-1.fc25, R-DBI-0.6.1-1.fc25, R-DelayedArray-0.2.7-1.fc25, R-GenomeInfoDb-1.12.1-1.fc25, R-GenomeInfoDbData-0.99.0-1.fc25, R-GenomicAlignments-1.12.1-1.fc25, R-GenomicRanges-1.28.3-1.fc25, R-IRanges-2.10.1-1.fc25, R-R6-2.2.1-1.fc25, R-RCurl-1.95.4.8-1.fc25, R-RInside-0.2.14-2.fc25, R-RODBC-1.3.15-1.fc25, R-RSQLite-1.1.2-2.fc25, R-Rcompression-0.93.2-15.fc25, R-Rsamtools-1.28.0-1.fc25, R-Rsolid-0.9.31-20.fc25, R-S4Vectors-0.14.3-1.fc25, R-SummarizedExperiment-1.6.3-1.fc25, R-XML-3.98.1.7-1.fc25, R-XVector-0.16.0-1.fc25, R-acepack-1.4.1-2.fc25, R-affy-1.54.0-1.fc25, R-affyio-1.46.0-1.fc25, R-biglm-0.9.1-8.fc25, R-bitops-1.0.6-5.fc25, R-caTools-1.17.1-4.fc25, R-digest-0.6.12-1.fc25, R-expm-0.999.2-1.fc25, R-futile.logger-1.4.3-1.fc25, R-futile.options-1.0.0-1.fc25, R-highlight-0.4.7.1-2.fc25, R-lambda.r-1.1.9-1.fc25, R-littler-0.3.2-2.fc25, R-lmtest-0.9.35-1.fc25, R-maanova-1.46.1-1.fc25, R-magrittr-1.5-1.fc25, R-matrixStats-0.52.2-1.fc25, R-msm-1.6.4-1.fc25, R-multtest-2.32.0-1.fc25, R-mvtnorm-1.0.6-1.fc25, R-plogr-0.1.1-1.fc25, R-preprocessCore-1.38.1-1.fc25, R-qtl-1.40.8-3.fc25, R-rlecuyer-0.3.4-1.fc25, R-rtracklayer-1.36.3-1.fc25, R-snow-0.4.2-1.fc25, R-testthat-1.0.2-1.fc25, R-waveslim-1.7.5-4.fc25, R-wavethresh-4.6.8-1.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 8 Fedora Update System 2017-06-21 12:19:29 UTC
R-3.4.0-2.fc25, R-BH-1.62.0.1-2.fc25, R-Biobase-2.36.2-1.fc25, R-BiocGenerics-0.22.0-1.fc25, R-BiocParallel-1.10.1-1.fc25, R-Biostrings-2.44.0-1.fc25, R-BufferedMatrix-1.40.0-1.fc25, R-BufferedMatrixMethods-1.40.0-1.fc25, R-DBI-0.6.1-1.fc25, R-DelayedArray-0.2.7-1.fc25, R-GenomeInfoDb-1.12.1-1.fc25, R-GenomeInfoDbData-0.99.0-1.fc25, R-GenomicAlignments-1.12.1-1.fc25, R-GenomicRanges-1.28.3-1.fc25, R-IRanges-2.10.1-1.fc25, R-R6-2.2.1-1.fc25, R-RCurl-1.95.4.8-1.fc25, R-RInside-0.2.14-2.fc25, R-RODBC-1.3.15-1.fc25, R-RSQLite-1.1.2-2.fc25, R-Rcompression-0.93.2-15.fc25, R-Rsamtools-1.28.0-1.fc25, R-Rsolid-0.9.31-20.fc25, R-S4Vectors-0.14.3-1.fc25, R-SummarizedExperiment-1.6.3-1.fc25, R-XML-3.98.1.7-1.fc25, R-XVector-0.16.0-1.fc25, R-acepack-1.4.1-2.fc25, R-affy-1.54.0-1.fc25, R-affyio-1.46.0-1.fc25, R-biglm-0.9.1-8.fc25, R-bitops-1.0.6-5.fc25, R-caTools-1.17.1-4.fc25, R-digest-0.6.12-1.fc25, R-expm-0.999.2-1.fc25, R-futile.logger-1.4.3-1.fc25, R-futile.options-1.0.0-1.fc25, R-highlight-0.4.7.1-2.fc25, R-lambda.r-1.1.9-1.fc25, R-littler-0.3.2-2.fc25, R-lmtest-0.9.35-1.fc25, R-maanova-1.46.1-1.fc25, R-magrittr-1.5-1.fc25, R-matrixStats-0.52.2-1.fc25, R-msm-1.6.4-1.fc25, R-multtest-2.32.0-1.fc25, R-mvtnorm-1.0.6-1.fc25, R-plogr-0.1.1-1.fc25, R-preprocessCore-1.38.1-1.fc25, R-qtl-1.40.8-3.fc25, R-rlecuyer-0.3.4-1.fc25, R-rtracklayer-1.36.3-1.fc25, R-snow-0.4.2-1.fc25, R-testthat-1.0.2-1.fc25, R-waveslim-1.7.5-4.fc25, R-wavethresh-4.6.8-1.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.